diff --git a/os/debian/postinst b/os/debian/postinst
index 2b272bb6f8bfdf4013c5646afab82e68396fb009..e9703e8d6005b35e06539ca60bd134e94e93d9bd 100755
--- a/os/debian/postinst
+++ b/os/debian/postinst
@@ -271,16 +271,17 @@ else
     systemctl start cellframe-updater.service || true
 
     echo "[*] Restarting cellframe-updater service"
-    systemctl --system stop cellframe-updater  >> /dev/null|| true
-    echo "[*] Stopped cellframe-updater"
+    #systemctl --system stop cellframe-updater  || true
+    #echo "[*] Stopped cellframe-updater"
     systemctl daemon-reload || true
+    
     systemctl --system start cellframe-updater || true
+    
     echo "[*] Started cellframe-updater"
     systemctl enable $DAP_PREFIX/share/cellframe-updater.timer || true
 
-
-    chmod 0666 $DAP_CFG
-    chmod 0666 $DAP_CFG_TPL
+    chmod 0666 $DAP_CFG || true
+    chmod 0666 $DAP_CFG_TPL || true
     chmod 0774 $DAP_PREFIX/bin/* || true
     chmod 0777 $DAP_PREFIX/bin/$DAP_APP_NAME-cli $DAP_PREFIX/python/bin/pip3* $DAP_PREFIX/python/bin/python3* || true